<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Кактусомания';
include_once '../sys/inc/thead.php';
title();
aut();

if(!isset($user)){
  header("Location:/index.php");
  break;
}
$id=abs(intval($_GET['id']));
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kaktuz` WHERE `id_u`='".$user['id']."' AND `id`='".$id."'"),0)!='0'){
  if(isset($_GET['yes']) && $user['balls']>='800'){
    mysql_query("UPDATE `user` SET `balls`=`balls`-800 WHERE `id`='".$user['id']."' LIMIT 1");
      mysql_query("UPDATE `kaktuz` SET `vitamin`=`vitamin`+1 WHERE `id`='".$id."' LIMIT 1");
    header("location:index.php?".$passgen."");
  exit;
}
 if(isset($_GET['tekila']) && $user['balls']>='500'){
    mysql_query("UPDATE `user` SET `balls`=`balls`-500 WHERE `id`='".$user['id']."' LIMIT 1");
      mysql_query("UPDATE `kaktuz` SET `tekila`=`tekila`+1 WHERE `id`='".$id."' LIMIT 1");
    header("location:index.php?".$passgen."");
  exit;
  }
  echo "У вас $user[balls] балов!<br/><a href='?yes&amp;id=$id'>Купить витамины (800 баллов/1шт.)</a><br/>";
   echo "<a href='?tekila&amp;id=".$id."'>Купить текилу (500 баллов/1шт.)</a><br/>
   *Покупки вы делаете <b>для выбранного кактуса</b>!";
}
else
{
  echo "Такого кактуса нет!<br/>";
}

echo "<div class='aut'><a href='index.php'>Назад</a></div>";



include_once '../sys/inc/tfoot.php';
?>